%define anolis_release 2
Name:           libslirp
Version:        4.7.0
Release:        %{anolis_release}%{?dist}
Summary:        A general purpose TCP-IP emulator

# check the SPDX tags in source files for details
License:        BSD and MIT
URL:            https://gitlab.freedesktop.org/slirp/%{name}
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  git-core
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  glib2-devel

%description
A general purpose TCP-IP emulator used by virtual machine hypervisors
to provide virtual networking services.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -S git_am -n %{name}-v%{version}

%build
%meson
%meson_build


%install
%meson_install

%generate_compatibility_deps

%files
%license COPYRIGHT
%{_libdir}/%{name}.so.0*
%{abidir}/%{name}.dump

%files doc
%doc README.md CHANGELOG.md

%files devel
%dir %{_includedir}/slirp/
%{_includedir}/slirp/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/slirp.pc


%changelog
* Mon May 26 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - v4.7.0-2
- Replace source tar to pass ci check_source test. 

* Wed Nov 23 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.7.0-1
- Init Anolis 23
